6.0.0-git
2019-03-18

[#11300] Horizontal layout: Make the arrow change the sort order
Summary Horizontal layout: Make the arrow change the sort order
Queue IMP
Queue Version Git develop
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2432 days ago)
Due
Updated 2012-08-29 (2392 days ago)
Assigned
Resolved 2012-07-29 (2423 days ago)
Milestone
Patch No

History
2012-08-29 12:45:24 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit e8e6ed0b21a27c84b9be6c13685a471cb2c684cf
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Jul 28 22:05:31 2012 -0600

     [mms] Fix regression in altering sort direction in dynamic 
mailbox view (Bug #11300).

  imp/docs/CHANGES   |    2 ++
  imp/js/dimpbase.js |    9 ++++-----
  imp/package.xml    |    2 ++
  3 files changed, 8 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/e8e6ed0b21a27c84b9be6c13685a471cb2c684cf
2012-08-11 16:39:14 Thomas Jarosch Comment #7 Reply to this comment
This one works so good now, I can't stop clicking the arrow...

*click* *click* *click* *click*

2012-07-29 04:07:46 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2012-07-29 04:07:19 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit e8e6ed0b21a27c84b9be6c13685a471cb2c684cf
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Jul 28 22:05:31 2012 -0600

     [mms] Fix regression in altering sort direction in dynamic 
mailbox view (Bug #11300).

  imp/docs/CHANGES   |    2 ++
  imp/js/dimpbase.js |    9 ++++-----
  imp/package.xml    |    2 ++
  3 files changed, 8 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/e8e6ed0b21a27c84b9be6c13685a471cb2c684cf
2012-07-28 14:45:49 Thomas Jarosch Comment #5 Reply to this comment
Funny, the arrow is clickable in the traditional IMP view.

2012-07-28 13:28:21 Thomas Jarosch Comment #4 Reply to this comment
it would be nice if the arrow of the currently active sorting column
would reverse the sorting order, too.
It *does*.  Clicking on the sort popdown and then clicking on the
current sort criteria will alter the current sort direction.
Yes, the popdown already does it.
In fact one can already click the currently active field -name- to do it.
Would just be nice if the arrow works, too.

2012-07-28 13:27:03 Thomas Jarosch Comment #3 Reply to this comment
it would be nice if the arrow of the currently active sorting column
would reverse the sorting order, too.
It *does*.  Clicking on the sort popdown and then clicking on the 
current sort criteria will alter the current sort direction.
Yes, the popdown already does it.

After seeing two users -clicking on the arrow-, it would be nice
if the arrow would also reverse the sort order.

[Show Quoted Text - 9 lines]
Oh sorry, I didn't want the arrow in the vertical layout. I was only stating
the fact that it's just visible in the horizontal layout. Sorry for 
the confusion.

Thomas

2012-07-24 20:51:43 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
it would be nice if the arrow of the currently active sorting column 
would reverse the sorting order, too.
It *does*.  Clicking on the sort popdown and then clicking on the 
current sort criteria will alter the current sort direction.
The "big" arrow is only visible in the horizontal layout.
Sort direction will NOT be displayed on the header bar in vertical 
layout.  This is a limitation of the vertical layout: the vertical 
layout is not designed to be easily switched between sorting criteria.

Regardless, adding the sort arrow next to the Sort popdown trigger 
would just be too confusing given that the popdown arrow already exists.
2012-07-20 12:38:34 Thomas Jarosch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Horizontal layout: Make the arrow change the sort order
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

it would be nice if the arrow of the currently active sorting column 
would reverse the sorting order, too.
I've watched two users trying to click it :)

The "big" arrow is only visible in the horizontal layout.

Thomas

Saved Queries